---
title: GlobalEventHandlers.onresize
slug: Web/API/GlobalEventHandlers/onresize
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
  - onresize
---
<div>{{ ApiRef() }}</div>

<p>The <code><strong>onresize</strong></code> property of the {{domxref("GlobalEventHandlers")}} interface is an {{domxref("EventHandler")}} that processes <code><a href="/en-US/docs/Web/API/Window/resize_event">resize</a></code> events.</p>

<p>The <code>resize</code> event fires after the window has been resized.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>window</em>.onresize = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Window_size_logger">Window size logger</h3>

<pre class="brush: html">&lt;p&gt;Resize the browser window to fire the &lt;code&gt;resize&lt;/code&gt; event.&lt;/p&gt;
&lt;p&gt;Window height: &lt;span id="height"&gt;&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;Window width: &lt;span id="width"&gt;&lt;/span&gt;&lt;/p&gt;</pre>

<pre class="brush: js">const heightOutput = document.querySelector('#height');
const widthOutput = document.querySelector('#width');

function resize() {
  heightOutput.textContent = window.innerHeight;
  widthOutput.textContent = window.innerWidth;
}

window.onresize = resize;</pre>

<p>{{EmbedLiveSample("Window_size_logger")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onresize','onresize')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onresize")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Window/resize_event">Window: <code>resize</code> event</a></li>
</ul>
